DJPEG(1)

NAZWA
djpeg - dekompresja pliku JPEG do pliku obrazkowego

SKŁADNIA
djpeg [opcje] [nazwapliku]

OPIS

djpeg dekompresuje podany plik JPEG, albo jeśli nie podano parametru standardowe wejście i zapisuje nowy obrazek na standardowym wyjściu. Formatem wyjściowym mogą być PBMPLUS (PPM/PGM), BMP, GIF, Targa, lub RLE (Utah Raster Toolkit). (RLE jest obsługiwany tylko jeśli jest dostępna biblioteka URT.)

OPCJE
Wszystkie przełączniki mogą być skracane; np, -grayscale może być zapisane jako -gray lub -gr. Większość "podstawowych" przełączników może być skracana nawet do jednej litery. Nie ma rozróżnienia wielkości znaków (tak więc -GIF znaczy to samo co -gif). Brytyjska pisownia jest również akceptowana (np. -greyscale), lecz z ostrożności nie jest ona wymieniona niżej.

Podstawowe przełączniki to:

-colors N
    Zredukuj obraz do najwięcej N kolorów. Redukuje to ilość kolorów używanych w obrazku wyjściowym. Na przykład, jeśli masz 8-bitowy wyświetlacz, możesz tego użyć do zredukowania kolorów do liczby 256.

-quantize N
    To samo co -colors. -colors są nazwą zalecaną, -quantize jest udostępniane ze względu na kompatybilność wsteczną.

-fast
    Wybierz przetwarzanie gwarantujące szybką, lecz niskiej jakości obróbkę. (Domyślnie włączana jest najwyższa jakość.) Jest to obecnie równoważne opcji -dct fast -nosmooth -onepass -dither ordered.

-grayscale
    Wymuś wyjście w skali szarości, nawet jeśli plik JPEG jest kolorowy. Przydatne do przeglądania na wyświetlaczach monochromatycznych; poza tym djpeg w tym trybie działa znacząco szybciej.

-scale M/N
    Przeskaluj wyjście o współczynnik M/N. Obecnie współczynnik ten musi być 1/1, 1/2, 1/4, lub 1/8. Skalowanie jest przydatne jeśli obraz jest większy niż ekran, poza tym djpeg pracuje tak dużo szybciej.

-bmp
    Wybierz format wyjściowy BMP. Format 8-bitowy jest włączany po użyciu opcji -colors lub -grayscale, lub jeśli plik JPEG był w skali szarości; w przeciwnym wypadku właczany jest pełny, 24-bitowy format.

-gif
    Wybierz format wyjściowy GIF-a. Ponieważ GIF nie obsługuje więcej niż 256 kolorów, zakładane jest -colors 256 (chyba że podasz mniejszą liczbę kolorów).

-os2
    Wybierz jako format wyjściowy BMP (z rodzaju OS/2 1.x). Jeśli podano opcje -colors lub -grayscale, lub gdy plik JPEG był w skali szarości, emitowany jest kolor 8-bitowy; w przeciwnych wypadkach kolor jest 24-bitowy.

-pnm
    Wybierz jako format wyjścia PBMPLUS (PPM/PGM) (jest to format domyślny). PGM jest emitowane jeśli plik JPEG był w skali szarości, lub jeśli podano opcję -grayscale; W przeciwnym wypadku wybierany jest PPM.

-rle
    Wybierz format wyjścia RLE. (wymaga biblioteki URT.)

-targa
    Wybierz format wyjścia Targa. Jeśli plik JPEG był w skali szarości, wyjście emitowane jest również w skali. Dzieje się tak też, jeśli podana zostanie opcja -grayscale; w przeciwnym wypadku, jeśli podano -colors
     emitowany jest format kolormapowany; a normalnie emitowany jest format 24-bitowego koloru.

Przełączniki dla zaawansowanych użytkowników:

-dct int
    Używaj całkowitej metody DCT (domyślne).

-dct fast
    Użyj szybkiej całkowitej DCT (mniej dokładne).

-dct float
    Użyj zmiennoprzecinkowej metody DCT. Metoda ta jest nieznacznie bardziej dokładna niż metoda całkowita, lecz jest wiele wolniejsza, chyba że twoja maszyna posiada bardzo szybki koprocesor zmiennoprzecinkowy. Zauważ też, że metoda zmiennoprzecinkowa może dawać różne efekty na różnych maszynach, podczas gdy całkowita daje wszędzie takie same.

-dither fs
    Użyj ditheringu Floyda-Steinberga dla kwantyzacji kolorów.

-dither ordered
    Użyj ditheringu porządkowego dla kwantyzacji kolorów.

-dither none
    Nie używaj żadnego ditheringu. Domyślnie stosowany jest dithering Floyda-Steinberga; jest on powolny, lecz zazwyczaj daje najlepsze efekty. Dithering porządkowy jest kompromisem między szybkościa, a jakością; brak ditheringu jest szybki, lecz zwykle wygląda okropnie. Zauważ, że przełączniki nie mają znaczenia gdy nie jest dokonywana kwantyzacja kolorów. Dithering porządkowy jest dostępny tylko w trybie -onepass.

-map file
    Kwantuj kolory podanego pliku z obrazkiem. Umożliwia to produkowanie wielu plików z jednakowymi mapami kolorów, lub wymuszanie predefiniowanego zbioru kolorów. Plik file musi być plikiem GIF lub PPM. Opcja ta przesłania -colors i -onepass.

-nosmooth
    Użyj szybszej, gorszej jakościowo procedury desamplingu.

-onepass
    Użyj jednoprzejściowej kwantyzacji kolorów (zamiast dwuprzejściowej). Metoda jednoprzejściowa jest szybsza i mniej wymagająca pamięciowo, lecz produkuje gorszy jakościowo obraz. -onepass jest ignorowane, chyba że wraz z nim zostanie zapodane -colors N. Poza tym, metoda ta jest używana zawsze dla wyjścia w skali szarości (metoda dwuprzejściowa nic wtedy nie wnosi).

-maxmemory N
    Ustaw ograniczenie pamięci na przetwarzanie dużych obrazków. Wartość jest wyrażana w tysiącach bajtów, lub w milionach, jeśli na końcu liczby zostanie dołączone "M". Np., -max 4m wybiera 4000000 bajtów. Jeśli potrzebne będzie więcej miejsca, zostaną zastosowane pliki tymczasowe.

-outfile name
    Wyślij wyjście do wskazanego pliku (zamiast na standardowe wyjście).

-verbose
    Włącz komentarze debuggowe. Więcej -v-ów daje więcej komentarzy. Poza tym, podczas startu drukowana jest informacja o wersji.

-debug
    To samo co -verbose.

PRZYKŁADY

Przykład ten dekompresuje plik JPEG foo.jpg, autmatycznie kwantuje go do 256 kolorów i zachowuje w pliku GIF foo.gif.

    djpeg -gif foo.jpg > foo.gif

WSKAZÓWKI
Aby szybko przejrzeć obrazek, użyj przełączników -grayscale i/lub -scale. -grayscale -scale 1/8 jest najszybsze.

Istnieje jeszcze parę opcji, które odrzucają jakość na rzecz szybkości. -fast włacza zalecane ustawienia.

-dct fast i/lub -nosmooth uzyskuje szybkość w zamian za niewielkie poświęcenie jakości. Podczas tworzenia obrazka ze skwantowanymi kolorami, -onepass -dither ordered jest szybki, lecz daje dużo mniejszą jakość niż zachowanie domyślne. -dither none może dać sensowne wyniki w trybie dwuprzejściowym, lecz rzadko jest dobry w trybie jednoprzejściowym.

Jeśli masz dość szczęścia, by mieć szybki koprocesor zmiennoprzecinkowy, -dct float może okazać się szybsze niż -dct fast. Jednak na większości maszyn -dct float jest wolniejsze niż -dct int; w tym wypadku nie jest ono warte używania, ponieważ zysk jakości jest zbyt mały w porównaniu do kosztu czasowego.

ŚRODOWISKO

JPEGMEM
    Jeśli ta zmienna jest ustawiona, to jej wartość wskazuje na domyślny limit pamięci. Wartość jest podawana jak dla opcji -maxmemory. JPEGMEM przesłania domyślną wartość, podaną podczas kompilacji programu, a sama może zostać przesłonięta przez opcję -maxmemory.

ZOBACZ TAKŻE
cjpeg(1), jpegtran(1), rdjpgcom(1), wrjpgcom(1)
ppm(5), pgm(5)
Wallace, Gregory K. "The JPEG Still Picture Compression Standard", Communications of the ACM, April 1991 (vol. 34, no. 4), pp. 30-44.

AUTORZY
Niezależna Grupa JPEG (Independent JPEG Group)

BŁĘDY
Z powodów legalizacyjnych, kodowanie arytmetyczne nie jest obsługiwane.

Wciąż nie jest to tak szybkie, jak byśmy chcieli.